{
  'targets': [
    {
      'target_name': 'yaz',
      'type': 'static_library',
      'standalone_static_library': 1,
      'defines': [
        'HAVE_CONFIG_H',
        '_THREAD_SAFE',
        'YAZ_POSIX_THREADS=1',
        'YAZ_HAVE_XML2=1',
        'YAZ_HAVE_XSLT=1'
      ],
      'variables': {
        'yazversion': '5.8.1',
        'yazdir': 'yaz-<(yazversion)',
        'yazsrc': '<(yazdir)/src',
        'target_arch%': 'ia32'
      },
      'cflags': [
        '<!@(pkg-config --cflags gnutls)',
        '<!@(xml2-config --cflags)',
        '<!@(libgcrypt-config --cflags)'
      ],
      'xcode_settings': {
        'OTHER_CFLAGS': [
          '<!@(pkg-config --cflags gnutls)',
          '<!@(xml2-config --cflags)',
          '<!@(libgcrypt-config --cflags)'
        ]
      },
      'direct_dependent_settings': {
        'include_dirs': [
          '<(yazdir)/src',
          '<(yazdir)/include'
        ]
      },
      'include_dirs': [
        'config/<(OS)/<(target_arch)',
        '<(yazdir)/src',
        '<(yazdir)/include'
      ],
      'sources': [
        '<(yazsrc)/oid_std.c',
        '<(yazsrc)/marc8.c',
        '<(yazsrc)/marc8r.c',
        '<(yazsrc)/iso5426.c',
        '<(yazsrc)/diagbib1.c',
        '<(yazsrc)/diagsrw.c',
        '<(yazsrc)/diagsru_update.c',
        '<(yazsrc)/z-accdes1.c',
        '<(yazsrc)/z-accform1.c',
        '<(yazsrc)/z-acckrb1.c',
        '<(yazsrc)/z-core.c',
        '<(yazsrc)/z-facet-1.c',
        '<(yazsrc)/z-diag1.c',
        '<(yazsrc)/z-espec1.c',
        '<(yazsrc)/z-estask.c',
        '<(yazsrc)/z-exp.c',
        '<(yazsrc)/z-grs.c',
        '<(yazsrc)/z-mterm2.c',
        '<(yazsrc)/z-opac.c',
        '<(yazsrc)/z-uifr1.c',
        '<(yazsrc)/z-rrf1.c',
        '<(yazsrc)/z-rrf2.c',
        '<(yazsrc)/z-sum.c',
        '<(yazsrc)/z-sutrs.c',
        '<(yazsrc)/z-oclcui.c',
        '<(yazsrc)/zes-expi.c',
        '<(yazsrc)/zes-exps.c',
        '<(yazsrc)/zes-order.c',
        '<(yazsrc)/zes-pquery.c',
        '<(yazsrc)/zes-psched.c',
        '<(yazsrc)/zes-pset.c',
        '<(yazsrc)/zes-update0.c',
        '<(yazsrc)/z-date.c',
        '<(yazsrc)/z-univ.c',
        '<(yazsrc)/zes-update.c',
        '<(yazsrc)/zes-admin.c',
        '<(yazsrc)/z-charneg.c',
        '<(yazsrc)/ill-core.c',
        '<(yazsrc)/item-req.c',
        '<(yazsrc)/oclc-ill-req-ext.c',
        '<(yazsrc)/base64.c',
        '<(yazsrc)/version.c',
        '<(yazsrc)/options.c',
        '<(yazsrc)/log.c',
        '<(yazsrc)/cookie.c',
        '<(yazsrc)/marcdisp.c',
        '<(yazsrc)/marc_read_json.c',
        '<(yazsrc)/marc_read_xml.c',
        '<(yazsrc)/marc_read_iso2709.c',
        '<(yazsrc)/marc_read_line.c',
        '<(yazsrc)/wrbuf.c',
        '<(yazsrc)/wrbuf_sha1.c',
        '<(yazsrc)/oid_db.c',
        '<(yazsrc)/errno.c',
        '<(yazsrc)/nmemsdup.c',
        '<(yazsrc)/xmalloc.c',
        '<(yazsrc)/readconf.c',
        '<(yazsrc)/tpath.c',
        '<(yazsrc)/nmem.c',
        '<(yazsrc)/matchstr.c',
        '<(yazsrc)/atoin.c',
        '<(yazsrc)/siconv.c',
        '<(yazsrc)/iconv-p.h',
        '<(yazsrc)/utf8.c',
        '<(yazsrc)/ucs4.c',
        '<(yazsrc)/iso5428.c',
        '<(yazsrc)/advancegreek.c',
        '<(yazsrc)/odr_bool.c',
        '<(yazsrc)/ber_bool.c',
        '<(yazsrc)/ber_len.c',
        '<(yazsrc)/ber_tag.c',
        '<(yazsrc)/odr_util.c',
        '<(yazsrc)/facet.c',
        '<(yazsrc)/odr_null.c',
        '<(yazsrc)/ber_null.c',
        '<(yazsrc)/odr_int.c',
        '<(yazsrc)/ber_int.c',
        '<(yazsrc)/odr_tag.c',
        '<(yazsrc)/odr_cons.c',
        '<(yazsrc)/odr_seq.c',
        '<(yazsrc)/odr_oct.c',
        '<(yazsrc)/ber_oct.c',
        '<(yazsrc)/odr_bit.c',
        '<(yazsrc)/ber_bit.c',
        '<(yazsrc)/odr_oid.c',
        '<(yazsrc)/ber_oid.c',
        '<(yazsrc)/odr_use.c',
        '<(yazsrc)/odr_choice.c',
        '<(yazsrc)/odr_any.c',
        '<(yazsrc)/ber_any.c',
        '<(yazsrc)/odr.c',
        '<(yazsrc)/odr_mem.c',
        '<(yazsrc)/dumpber.c',
        '<(yazsrc)/odr_enum.c',
        '<(yazsrc)/odr-priv.h',
        '<(yazsrc)/comstack.c',
        '<(yazsrc)/tcpip.c',
        '<(yazsrc)/unix.c',
        '<(yazsrc)/prt-ext.c',
        '<(yazsrc)/ill-get.c',
        '<(yazsrc)/zget.c',
        '<(yazsrc)/yaz-ccl.c',
        '<(yazsrc)/diag-entry.c',
        '<(yazsrc)/diag-entry.h',
        '<(yazsrc)/logrpn.c',
        '<(yazsrc)/otherinfo.c',
        '<(yazsrc)/pquery.c',
        '<(yazsrc)/sortspec.c',
        '<(yazsrc)/charneg.c',
        '<(yazsrc)/initopt.c',
        '<(yazsrc)/init_diag.c',
        '<(yazsrc)/init_globals.c',
        '<(yazsrc)/zoom-c.c',
        '<(yazsrc)/zoom-memcached.c',
        '<(yazsrc)/zoom-z3950.c',
        '<(yazsrc)/zoom-sru.c',
        '<(yazsrc)/zoom-query.c',
        '<(yazsrc)/zoom-record-cache.c',
        '<(yazsrc)/zoom-event.c',
        '<(yazsrc)/record_render.c',
        '<(yazsrc)/zoom-socket.c',
        '<(yazsrc)/zoom-opt.c',
        '<(yazsrc)/zoom-p.h',
        '<(yazsrc)/sru_facet.c',
        '<(yazsrc)/sru-p.h',
        '<(yazsrc)/grs1disp.c',
        '<(yazsrc)/zgdu.c',
        '<(yazsrc)/soap.c',
        '<(yazsrc)/srw.c',
        '<(yazsrc)/srwutil.c',
        '<(yazsrc)/uri.c',
        '<(yazsrc)/solr.c',
        '<(yazsrc)/diag_map.c',
        '<(yazsrc)/opac_to_xml.c',
        '<(yazsrc)/xml_add.c',
        '<(yazsrc)/xml_match.c',
        '<(yazsrc)/xml_to_opac.c',
        '<(yazsrc)/cclfind.c',
        '<(yazsrc)/ccltoken.c',
        '<(yazsrc)/cclerrms.c',
        '<(yazsrc)/cclqual.c',
        '<(yazsrc)/cclptree.c',
        '<(yazsrc)/cclp.h',
        '<(yazsrc)/cclqfile.c',
        '<(yazsrc)/cclstr.c',
        '<(yazsrc)/cclxmlconfig.c',
        '<(yazsrc)/ccl_stop_words.c',
        '<(yazsrc)/cql.y',
        '<(yazsrc)/cqlstdio.c',
        '<(yazsrc)/cqltransform.c',
        '<(yazsrc)/cqlutil.c',
        '<(yazsrc)/xcqlutil.c',
        '<(yazsrc)/cqlstring.c',
        '<(yazsrc)/cql_sortkeys.c',
        '<(yazsrc)/cql2ccl.c',
        '<(yazsrc)/rpn2cql.c',
        '<(yazsrc)/rpn2solr.c',
        '<(yazsrc)/solrtransform.c',
        '<(yazsrc)/cqlstrer.c',
        '<(yazsrc)/querytowrbuf.c',
        '<(yazsrc)/tcpdchk.c',
        '<(yazsrc)/test.c',
        '<(yazsrc)/timing.c',
        '<(yazsrc)/xmlquery.c',
        '<(yazsrc)/xmlerror.c',
        '<(yazsrc)/http.c',
        '<(yazsrc)/mime.c',
        '<(yazsrc)/mime.h',
        '<(yazsrc)/oid_util.c',
        '<(yazsrc)/tokenizer.c',
        '<(yazsrc)/record_conv.c',
        '<(yazsrc)/retrieval.c',
        '<(yazsrc)/elementset.c',
        '<(yazsrc)/snprintf.c',
        '<(yazsrc)/query-charset.c',
        '<(yazsrc)/copy_types.c',
        '<(yazsrc)/match_glob.c',
        '<(yazsrc)/poll.c',
        '<(yazsrc)/daemon.c',
        '<(yazsrc)/iconv_encode_danmarc.c',
        '<(yazsrc)/iconv_encode_marc8.c',
        '<(yazsrc)/iconv_encode_iso_8859_1.c',
        '<(yazsrc)/iconv_encode_wchar.c',
        '<(yazsrc)/iconv_decode_marc8.c',
        '<(yazsrc)/iconv_decode_iso5426.c',
        '<(yazsrc)/iconv_decode_danmarc.c',
        '<(yazsrc)/sc.c',
        '<(yazsrc)/json.c',
        '<(yazsrc)/xml_include.c',
        '<(yazsrc)/file_glob.c',
        '<(yazsrc)/dirent.c',
        '<(yazsrc)/mutex-p.h',
        '<(yazsrc)/mutex.c',
        '<(yazsrc)/condvar.c',
        '<(yazsrc)/thread_id.c',
        '<(yazsrc)/gettimeofday.c',
        '<(yazsrc)/thread_create.c',
        '<(yazsrc)/spipe.c',
        '<(yazsrc)/url.c',
        '<(yazsrc)/backtrace.c'
      ],
      'link_settings': {
        'libraries': [
          '<!@(pkg-config --libs gnutls)',
          '<!@(libgcrypt-config --libs)',
          '<!@(xml2-config --libs)'
        ]
      }
    }
  ]
}
